# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.



###############################
#Global resources found in the package: ./project/src/org/netbeans/modules/mobility/project/ui/security
###############################
ERR_PasswordSmall=Keystore password must be at least 6 characters long.
ERR_PasswordsNotEqual=Password confirmation does not match.
MSG_PromptDeleteKey=Are you sure to delete selected key from the keystore?
TITLE_SelectKeystore=Select Keystore
LBL_EnterConnectionPassword=Enter password for "{0}" connection.

# ExportPanel
LBL_Export=Export
LBL_Key=Key
ACSD_AddKeystore=Create New Keystore
ACSD_CreateKey=Create New Key Pair Alias
ACSD_Export=Export Keystore into Emulator
LBL_Manager_KeystoreFile=Keystore &File\:
LBL_Manager_Keys=Ke&ys\:
LBL_Manager_UnlockKey=&Unlock...
MSG_Loading=Loading...
ACSD_Manager=Manage Keystores
ACSD_AddKeystore_Password=N/A
ACSD_Export_Keys=N/A
ACSD_Manager_KeystoreFile=N/A
ACSD_Manager_UnlockKeystore=N/A
ACSD_Manager_Keys=N/A
ACSD_CreateKey_Org=N/A
ACSD_CreateKey_Password=N/A

###############################
#Resources found in the file: KeyAliasCellRenderer.java
###############################

# KeyAliasCellRenderer
LBL_NotAvailable=Not available
LBL_InvalidKeyAlias=Invalid key pair alias
LBL_KeyAliasNotUnlock=Key pair is locked
LBL_Subject=Subject
LBL_Issuer=Issuer
LBL_Valid=Valid

###############################
#Resources found in the file: ExportPanel.java
###############################
ERR_KeyIsAlreadyInPlatform=The key subject is already installed in the emulator as key #{1}.
MSG_PromptDeleteFileTitle=Delete file
MSG_PromptDeleteFile=For exporting key into the emulator, keystore {0} must be copied to {1}, but target file already exists. Do you want to continue and overwrite target file?
ERR_CannotDeleteFile=Cannot delete file {0}. Cancelling key export.
ERR_IOErrorWhileCopying=I/O error while copying file {0} to {1}.
MSG_DeleteKeyConfirmation=Are you sure you want to delete key #{0} from {1}?
TITLE_ConfirmKeyDeletion=Confirm Key Deletion
ERR_WhileDeletingKey=Error while deleting key from the emulator.
LBL_NotLoaded=Not loaded
LBL_Loading=Loading
LBL_NoKey=No key
LBL_ErrorLoadingKeys=Error while loading keys
TITLE_ExportKey=Export Key into Java ME SDK/Platform/Emulator
MSG_ErrorExportingKey=Error while exporting key into emulator.

# ExportPanel
LBL_Export_File=Keystore &File\:
LBL_Export_Alias=Key P&air Alias\:
LBL_Export_Details=Certificate Details
LBL_Export_Platform=&Emulator\:
LBL_Export_Domain=&Security Domain\:
LBL_Export_Keys=&Keys Registered in the Emulator\:
LBL_Export_DeleteKey=&Delete Key
ACSN_Export=Export Keystore
ACSD_Export_Keystore=N/A
ACSD_Export_Alias=N/A
ACSD_Export_Platform=N/A
ACSD_Export_Domain=N/A
ACSD_Export_DeleteKey=N/A

###############################
#Resources found in the file: AddKeystorePanel.java
###############################
ERR_EmptyKSFileName=Empty keystore file name.
ERR_KSFolderNotExists=Keystore folder does not exist or is not a writable directory.
ERR_KSFileExists=Keystore file already exists.
ERR_KSFileAlreadyAdded=Keystore file is already added into manager.
ERR_KSFileNotExists=Keystore file does not exist.
ERR_KSInvalidFile=Keystore file path is not valid.
LBL_KeystoreFileFilter=Keystore File (.jks, .ks, .keystore, .p12, .pkcs12)
TITLE_SelectKeystoresFolder=Select Keystores Folder
TITLE_AddKeystore=Add Keystore

# AddKeystorePanel
LBL_AddKeystore_CreateNew=&Create a New Keystore
LBL_AddKeystore_Name=Keystore &Name\:
LBL_AddKeystore_Folder=Keystore &Folder\:
LBL_AddKeystore_Password=&Password\:
LBL_AddKeystore_ConfirmPassword=C&onfirm Password\:
LBL_AddKeystore_BrowseFolder=&Browse...
LBL_AddKeystore_AddExisting=&Add Existing Keystore
LBL_AddKeystore_File=K&eystore File\:
LBL_AddKeystore_BrowseFile=B&rowse...
ACSN_AddKeystore=New Keystore
ACSD_AddKeystore_New=N/A
ACSD_AddKeystore_Existing=N/A
ACSD_AddKeystore_Name=N/A
ACSD_AddKeystore_Folder=N/A
ACSD_AddKeystore_Password2=N/A
ACSD_AddKeystore_Keystore=N/A
ACSD_AddKeystore_Browse1=Opens File Chooser for Keystore Folder.
ACSD_AddKeystore_Browse2=Opens File Chooser for Keystore File.

###############################
#Resources found in the file: SecurityManagerPanel.java
###############################
MSG_PromptDeleteKeyTitle=Delete Key

# SecurityManagerPanel
TITLE_SecurityManager=Keystores Manager

# SecurityManager
LBL_Manager_Add=&Add Keystore...
LBL_Manager_Remove=&Remove
LBL_Manager_UnlockKeystore=&Unlock Keystore...
LBL_Manager_ShowDetails=&Show Details
LBL_Manager_ExportKey=&Export...
LBL_Manager_NewKey=&New...
LBL_Manager_DeleteKey=&Delete
ACSN_Manager=Manage Keystores

# SecurityManager
LBL_Manager_Keystores=&Keystores\:
ACSD_Manager_Keystores=N/A
ACSD_Manager_AddKeystore=N/A
ACSD_Manager_RemoveKeystore=Removes keystore from list.
ACSD_Manager_KeystoreFile2=N/A
ACSD_Manager_UnlockKeystore2=Unlocks selected key.
ACSD_Manager_Export=Exports selected key.
ACSD_Manager_New=Creates a new key.
ACSD_Manager_Delete=Deletes selected key.
ACSD_Manager_Details=N/A

###############################
#Resources found in the file: EnterPasswordPanel.java
###############################

# EnterPasswordPanel
LBL_EnterKeystorePassword=Enter password for "{0}" keystore.
LBL_EnterKeyfilePassword=Enter passphrase for "{0}" keyfile.
LBL_EnterAliasPassword=Enter password for "{1}" key pair alias in the "{0}" keystore.
TITLE_EnterPassword=Enter Password
ERR_KeystoreError=Failed to unlock the keystore. You might have entered an invalid password.
ERR_AliasError=Failed to unlock the key. You might have entered an invalid password.
ACSN_EnterKeystorePassword=Enter password for keystore
ACSD_EnterKeystorePassword=Enter password for opening keystore

# EnterPasswordPanel
LBL_Password_Password=&Password\:
LBL_Password_Passphrase=Passphrase\:
LBL_PasswordPanel_Username=&User Name\:
LBL_PasswordPanel_Remember=&Remember entered values for this session

###############################
#Resources found in the file: KeystoreCellRenderer.java
###############################
NAME_BuildInKeyStore=Built-in Keystore

###############################
#Resources found in the file: CreateKeyAliasPanel.java
###############################
ERR_EmptyAliasName=Fill Key Pair Alias field.
ERR_AliasAlreadyExists=Key pair alias already used in the keystore.
ERR_EmptyInfo=Fill at least one field in the Certificate Details section.
TITLE_CreateKeyPair=Create Key Pair

# CreateKeyAliasPanel
LBL_CreateKey_Alias=Key P&air Alias\:
LBL_CreateKey_Details=Certificate Details
LBL_CreateKey_CommonName=Commo&n Name\:
LBL_CreateKey_OrgUnit=&Organization Unit\:
LBL_CreateKey_OrgName=O&rganization Name\:
LBL_CreateKey_Locality=&Locality Name\:
LBL_CreateKey_State=&State Name\:
LBL_CreateKey_Country=&Country\:
LBL_CreateKey_Password=&Password\:
LBL_CreateKey_ConfirmPassword=Con&firm Password\:
ACSN_CreateKey=Key Pair Alias
ACSD_CreateKey_Alias=N/A
ACSD_CreateKey_Common=N/A
ACSD_CreateKey_OrgUnit=N/A
ACSD_CreateKey_Locality=N/A
ACSD_CreateKey_State=N/A
ACSD_CreateKey_Country=N/A
ACSD_CreateKey_Password2=N/A

###############################
#Resources found in the file: SecurityManagerAction.java
###############################
NAME_SecurityManagerAction=&Keystores

###################################
#Resources not used in the package
###################################
MNM_Manager_UnlockKeystore=o
